curl --request GET \
--url https://api.messaging.phonovation.com/people/2/companies \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/people/2/companies"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/companies");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/people/2/companies")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/people/2/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"companies": [
{
"createdAt": "2017-12-01T19:16:41",
"modifiedAt": "2017-12-01T19:16:41",
"id": 1,
"name": "Phonovation",
"notes": "notes example",
"country": "Croatia",
"region": "Europe",
"accountManager": "Jane Smith",
"customerStage": "Active",
"industry": "IT",
"vatNumber": "003212059",
"customAttributes": {
"Contract Expiry": "2018-06-01"
},
"domains": [
"phonovation.com"
],
"tags": [
"Vip"
],
"origin": "API",
"modifiedFrom": "API"
}
]
}Get a single company or a list of companies
Use this method with a query parameter to get a single company. If the query parameter is not specified, this method will return a list of companies.
Required scope: Enable one of: people:manage, people:read.
curl --request GET \
--url https://api.messaging.phonovation.com/people/2/companies \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/people/2/companies"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/companies");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/people/2/companies")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/people/2/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"companies": [
{
"createdAt": "2017-12-01T19:16:41",
"modifiedAt": "2017-12-01T19:16:41",
"id": 1,
"name": "Phonovation",
"notes": "notes example",
"country": "Croatia",
"region": "Europe",
"accountManager": "Jane Smith",
"customerStage": "Active",
"industry": "IT",
"vatNumber": "003212059",
"customAttributes": {
"Contract Expiry": "2018-06-01"
},
"domains": [
"phonovation.com"
],
"tags": [
"Vip"
],
"origin": "API",
"modifiedFrom": "API"
}
]
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Name of company you want to get.
ID of company you want to get.
External ID of company you want to get.
Domain of company you want to get.
Number of companies to return per page. Default - 20. Maximum - 1000.
Page of results to return. Default - 1.
Returns total count of companies, if set to true.
Results ordering. Possible ordering fields are name, createdAt and modifiedAt. Ordering direction can be specified with modifiers asc for the ascending ordering or desc for the descending one.
Allows to filter companies using simple queries. Just pass to the parameter URL encoded query.
List of supported logical operators:
| Logical Operator | Description |
|---|---|
#and | Joins query clauses with a logical AND returns all records that match the conditions of both clauses. |
#or | Joins query clauses with a logical OR returns all records that match the conditions of either clause. |
List of supported comparison operators:
| Comparison Operator | Supported Type | Description |
|---|---|---|
#eq | string, integer, decimal, date | Matches values that are equal to a specified value. |
#ne | string, integer, decimal, date | Matches all values that are not equal to a specified value. |
#contains | string | Matches the records that contain a specified value. |
#startsWith | string | Matches the records that start with a specified value. |
#endsWith | string | Matches the records that end with a specified value. |
#gt | integer, decimal, date | Matches values that are greater than a specified value. |
#lt | integer, decimal, date | Matches values that are less than a specified value. |
#gte | integer, decimal, date | Matches values that are greater than or equal to a specified value. |
#lte | integer, decimal, date | Matches values that are less than or equal to a specified value. |
Response
successful response
List of companies.
Show child attributes
Show child attributes
Limit how many rows will be returned (but possibly less, if the query itself yields fewer rows)
Results ordering
Page number
Total amount of rows